[Pkg-gs-devel] r43 - gs-gpl/trunk/debian/patches

Masayuki Hatta mhatta at costa.debian.org
Sun Oct 22 23:10:36 UTC 2006


Author: mhatta
Date: Sun Oct 22 23:10:35 2006
New Revision: 43

Added:
   gs-gpl/trunk/debian/patches/04_gdevxini_segv_fix.dpatch
   gs-gpl/trunk/debian/patches/10_epsn_margin_workaround.dpatch

Log:
Added missing files.



Added: gs-gpl/trunk/debian/patches/04_gdevxini_segv_fix.dpatch
==============================================================================
--- (empty file)
+++ gs-gpl/trunk/debian/patches/04_gdevxini_segv_fix.dpatch	Sun Oct 22 23:10:35 2006
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+## 04_gdevxini_segv_fix.dpatch by Masayuki Hatta <mhatta at debian.org>
+##
+## All lines beginning with \`## DP:' are a description of the patch.
+## DP: A fix for a potential segv in src/gdevxini.c, provided by Ian Jackson.
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+        -patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0
+;;
+        -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+ 
+diff -urN gs-gpl-8.54.dfsg.1.orig/src/gdevxini.c gs-gpl-8.54.dfsg.1/src/gdevxini.c
+--- gs-gpl-8.54.dfsg.1.orig/src/gdevxini.c	2006-10-18 03:39:14.000000000 +0900
++++ gs-gpl-8.54.dfsg.1/src/gdevxini.c	2006-10-18 03:40:40.000000000 +0900
+@@ -902,7 +902,10 @@
+ 	dev->is_open = false;
+     xdev->IsPageDevice = values.IsPageDevice;
+     code = gx_default_put_params(dev, plist);
+-    dev->is_open = values.is_open; /* saved value */
++    /* Prevent us from preventing the device closure if the size changed;
++     * that may require us to rebuild the buffer (see x_set_buffer). */
++    if (xdev->width == values.width && xdev->height == values.height)
++      dev->is_open = values.is_open; /* saved value */
+     if (code < 0) {		/* Undo setting of .IsPageDevice */
+ 	xdev->IsPageDevice = save_is_page;
+ 	return code;

Added: gs-gpl/trunk/debian/patches/10_epsn_margin_workaround.dpatch
==============================================================================
--- (empty file)
+++ gs-gpl/trunk/debian/patches/10_epsn_margin_workaround.dpatch	Sun Oct 22 23:10:35 2006
@@ -0,0 +1,33 @@
+#! /bin/sh -e
+## 10_epsn_margin_workaround.dpatch by Masayuki Hatta <mhatta at debian.org>
+##
+## All lines beginning with \`## DP:' are a description of the patch.
+## DP: Adjust the margins for Epson drivers
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+        -patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0
+;;
+        -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+diff -urN gs-gpl-8.01.orig/src/gdevepsn.c gs-gpl-8.01/src/gdevepsn.c
+--- gs-gpl-8.01.orig/src/gdevepsn.c	2004-08-15 15:26:08.000000000 +0900
++++ gs-gpl-8.01/src/gdevepsn.c	2004-08-15 15:26:54.000000000 +0900
+@@ -105,7 +105,7 @@
+   prn_device(prn_std_procs, "epson",
+ 	DEFAULT_WIDTH_10THS, DEFAULT_HEIGHT_10THS,
+ 	X_DPI, Y_DPI,
+-	0.2, 0.0, 0.0, 0.0,			/* margins */
++	0.25, 0.02, 0.25, 0.4,			/* margins */
+ 	1, epson_print_page);
+ 
+ /* Mid-res (interleaved, 1 pass per line) 9-pin device */



More information about the Pkg-gs-devel mailing list